From e76be714162753b3708de255db28631047e56fb0 Mon Sep 17 00:00:00 2001
From: Sebastien Zwickert <dilaroga@free.fr>
Date: Sun, 7 Aug 2011 13:58:56 +0200
Subject: [PATCH] vlckit: fixes sout chain issue in stream output.

---
 .../macosx/framework/Sources/VLCStreamOutput.m     |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

diff --git a/projects/macosx/framework/Sources/VLCStreamOutput.m b/projects/macosx/framework/Sources/VLCStreamOutput.m
index 8852099..ae433ea 100644
--- a/projects/macosx/framework/Sources/VLCStreamOutput.m
+++ b/projects/macosx/framework/Sources/VLCStreamOutput.m
@@ -190,7 +190,12 @@
         if( destination ) [subOptions addObject:[NSString stringWithFormat:@"dst=\"%@\"", [destination stringByReplacingOccurrencesOfString:@"\"" withString:@"\\\""]]];
         if( url ) [subOptions addObject:[NSString stringWithFormat:@"url=\"%@\"", [url stringByReplacingOccurrencesOfString:@"\"" withString:@"\\\""]]];
         if( access )      [subOptions addObject:[NSString stringWithFormat:@"access=%@", access]];
-        [optionsAsArray addObject:[NSString stringWithFormat:@"#std{%@}", [subOptions componentsJoinedByString:@","]]];
+        
+        if (transcodingOptions)
+            [optionsAsArray addObject:[NSString stringWithFormat:@"standard{%@}", [subOptions componentsJoinedByString:@","]]];
+        else
+            [optionsAsArray addObject:[NSString stringWithFormat:@"#std{%@}", [subOptions componentsJoinedByString:@","]]];
+
         [subOptions removeAllObjects];
     }
 
-- 
1.7.3.4

